-- List all notes with image thumbnail
-- %1$d - MaxDisplayContentSize
SELECT 
ID, 
'Content' AS FIELD, 
0 AS OFFSET, 
CAST(B.INDEX AS VARCHAR(192/*REPLACE:192 WITH:%1$d*/)) AS VALUE, 
CASE WHEN locate('|', ImageIndex.INDEX) > 0
THEN
    cast(substr(ImageIndex.INDEX, 1, locate('|', ImageIndex.INDEX)-1) as varchar(32672))
ELSE
    cast(ImageIndex.INDEX as varchar(32672))
END as IMAGE_SRC 
FROM GLOBONOTE.NOTE AS A 
INNER JOIN GLOBONOTE.NOTESEARCHINDEX AS B 
ON A.ID = B.NOTE_ID AND B.FIELD = 'Content' 
LEFT JOIN GLOBONOTE.NoteSearchIndex as ImageIndex 
ON A.ID = ImageIndex.NOTE_ID AND ImageIndex.FIELD = 'ImageSource' 