-- %1$d - MaxDisplayContentSize
SELECT 
ID, 
'Content' AS FIELD, 
0 AS OFFSET, 
CAST(B.INDEX AS VARCHAR(192/*REPLACE:192 WITH:%1$d*/))AS VALUE, 
CASE WHEN locate('|', ImageIndex.INDEX) > 0 
THEN
    cast(substr(ImageIndex.INDEX, 1, locate('|', ImageIndex.INDEX)-1) as varchar(32672)) 
ELSE
    cast(ImageIndex.INDEX as varchar(32672)) 
END as IMAGE_SRC, 
ACTIVITY_KEY, 
ACTIVITY_TMS 
FROM 
( 
SELECT 
ID, 
'Search.recentHide' AS ACTIVITY_KEY, 
A.LAST_HIDE_DATE AS ACTIVITY_TMS, 
A.DATE_CREATED, A.LAST_MODIFIED, A.LAST_READ_DATE, A.TITLE, A.READ_COUNT  -- for order by
FROM GLOBONOTE.NOTE AS A 
WHERE A.LAST_HIDE_DATE >= '2017-01-01'/*REPLACE:'2017-01-01' WITH:?*/ 
UNION ALL 
SELECT 
ID, 
'Search.recentShow' AS ACTIVITY_KEY, 
A.LAST_SHOW_DATE AS ACTIVITY_TMS, 
A.DATE_CREATED, A.LAST_MODIFIED, A.LAST_READ_DATE, A.TITLE, A.READ_COUNT  -- for order by
FROM GLOBONOTE.NOTE AS A 
WHERE A.LAST_SHOW_DATE >= '2017-01-01'/*REPLACE:'2017-01-01' WITH:?*/
UNION ALL 
SELECT 
ID, 
'Search.recentRead' AS ACTIVITY_KEY, 
A.LAST_READ_DATE AS ACTIVITY_TMS, 
A.DATE_CREATED, A.LAST_MODIFIED, A.LAST_READ_DATE, A.TITLE, A.READ_COUNT  -- for order by
FROM GLOBONOTE.NOTE AS A 
WHERE A.LAST_READ_DATE >= '2017-01-01'/*REPLACE:'2017-01-01' WITH:?*/
UNION ALL 
SELECT 
ID, 
'Search.recentModify' AS ACTIVITY_KEY, 
A.LAST_MODIFIED AS ACTIVITY_TMS, 
A.DATE_CREATED, A.LAST_MODIFIED, A.LAST_READ_DATE, A.TITLE, A.READ_COUNT  -- for order by
FROM GLOBONOTE.NOTE AS A 
WHERE A.LAST_MODIFIED >= '2017-01-01'/*REPLACE:'2017-01-01' WITH:?*/
UNION ALL 
SELECT 
ID, 
'Search.recentCreate' AS ACTIVITY_KEY, 
A.DATE_CREATED AS ACTIVITY_TMS, 
A.DATE_CREATED, A.LAST_MODIFIED, A.LAST_READ_DATE, A.TITLE, A.READ_COUNT  -- for order by
FROM GLOBONOTE.NOTE AS A 
WHERE A.DATE_CREATED >= '2017-01-01'/*REPLACE:'2017-01-01' WITH:?*/ 
) AS A 
INNER JOIN GLOBONOTE.NOTESEARCHINDEX AS B 
ON A.ID = B.NOTE_ID AND B.FIELD = 'Content' 
LEFT JOIN GLOBONOTE.NoteSearchIndex as ImageIndex 
ON A.ID = ImageIndex.NOTE_ID AND ImageIndex.FIELD = 'ImageSource' 