SELECT 
    A.FIELD,
    A.OFFSET - 1 AS OFFSET
FROM
( 
    -- Note search index
    SELECT 
        NoteIndex.FIELD,
        locate('test'/*REPLACE:'test' WITH:?*/, lcase(NoteIndex.INDEX)) AS OFFSET --1
    FROM GLOBONOTE.NoteSearchIndex as NoteIndex
    WHERE NoteIndex.NOTE_ID = 1/*REPLACE:1 WITH:?*/ --2
    UNION 
    -- Title Matching
    SELECT 
        'Title' AS FIELD,
        locate('test'/*REPLACE:'test' WITH:?*/, lcase(Note.TITLE)) AS OFFSET --3
    FROM GLOBONOTE.Note AS Note
    WHERE Note.ID = 1/*REPLACE:1 WITH:?*/ --4
) AS A
WHERE A.OFFSET > 0